MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001406VCMIGUI - Hero screen / Exchange windowpublic2013-08-12 18:522016-11-11 08:26
ReporterZamolxis 
Assigned ToAVS 
PrioritylowSeveritytrivialReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.93 
Target VersionFixed in Version0.98d 
Summary0001406: We can select ally troops in the exchange window
DescriptionAs per screenshot:
- we can select ally troops (and more than just 1 stack)
- when at least one is selected, also the Split Army button becomes available
- if we click on Split Army, all other slots which can serve as destination get selected

However in spite of the above, we cannot "steal"/move/split ally creatures, even if slot selection might indicate so (which basically makes this a GUI bug only so far).

In H3 we can never select an ally creature slot (hence Split Army also never becomes available). The only time ally slots get selected, is when we select one of our troops and - if the case - if we click on Split with one of our troops selected.

Interestingly enough though, H3 was a bit buggy here: even though also ally slots were getting the yellow frame (empty + same troop slots), we could not use them - we could only split within our army. Trying to split into the ally army was just deselecting everything. I guess we have two ways to better implement this:
a) Either the Split Army button becomes enabled only on our hero's end, and slots get framed/available only in his army.
b) Or same H3 graphical behavior, but then also functionality should follow:
- we should be able to split one of our stacks into an empty slot (at least)
- and ideally we should be able to split also into a same-troop ally slot, but without the possibility of stealing; for example by having the slider already at the extreme left when the window opens, and the original size should be considered by VCMI as the minimum
Steps To ReproduceI used a modified version of the VCMI_Tests map, in which I put Red & Green in the same team from MapEd then had Ivor meet Uland next to him.
TagsNo tags attached.
Attached Filesjpg file icon 2013-08-12_AllyExchange.jpg [^] (80,610 bytes) 2013-08-12 18:52

- Relationships

-  Notes
(0005857)
AVS (administrator)
2015-09-14 16:51

was been fixed in https://github.com/vcmi/vcmi/pull/115 [^]

- Issue History
Date Modified Username Field Change
2013-08-12 18:52 Zamolxis New Issue
2013-08-12 18:52 Zamolxis File Added: 2013-08-12_AllyExchange.jpg
2013-08-12 18:54 Zamolxis Steps to Reproduce Updated View Revisions
2013-08-12 18:55 Zamolxis Description Updated View Revisions
2013-08-12 18:55 Zamolxis Steps to Reproduce Updated View Revisions
2015-09-14 16:51 AVS Note Added: 0005857
2015-09-14 16:51 AVS Status new => resolved
2015-09-14 16:51 AVS Fixed in Version => 0.98d
2015-09-14 16:51 AVS Resolution open => fixed
2015-09-14 16:51 AVS Assigned To => AVS
2016-11-11 08:26 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean